package sgc.portal.sample.sample0101.persistence;

import org.apache.ibatis.annotations.Mapper;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.sample.sample0101.dto.SAMPLE01010001USearch;
import sgc.portal.sample.sample0101.model.SAMPLE01010001U;

import java.util.List;

@Mapper
public interface SAMPLE01010001UMapper {
	
	/*
     * 조회 LIST
     */
    List<EasyHashMap<String, Object>> getList(SAMPLE01010001USearch search);
    
    /*
     * INSERT
     */
    int insert(SAMPLE01010001U sAMPLE01010001U);
    
    /*
     * UPDATE
     */
    int update(SAMPLE01010001U sAMPLE01010001U);
    
    /*
     * DELETE
     */
    int delete(SAMPLE01010001U sAMPLE01010001U);
    
    /*
     * draft
     */
    int updateDraft(SAMPLE01010001U sAMPLE01010001U);
}
